<?php

namespace Lunarelly\Events;

use pocketmine\plugin\PluginBase;
use pocketmine\event\Listener;
use pocketmine\Server;
use pocketmine\event\server\QueryRegenerateEvent;
use Lunarelly\Main;

class Query implements Listener {
	
	public function __construct(Main $main) {
		$this->main = $main;
		}
		
		public function onQuery(QueryRegenerateEvent $e) {
			$e->setMaxPlayerCount(count($this->main->getServer()->getOnlinePlayers()) + 0);
			$this->main->getServer()->getNetwork()->setName("§bBlue§aGames §8-> §eBig Updates Soon!");
			$e->setWorld("vk.com/dragonflype");
			$e->setPlugins(array());
			}
			}
            ?>